/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * cache.h: Caching of channel info
 *
 * Copyright (c) 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __REDCARPET_CACHE_H
#define __REDCARPET_CACHE_H

#include <glib.h>

#include "libredcarpet.h"

typedef char *(*CacheName)(const char *filename);

void gui_cache_override_cache_name_func(CacheName cache_func);
char * gui_cache_get_filename(const char *filename);
gboolean gui_cache_fresh(const char *filename, time_t timestamp, int filesize);
int gui_cache_add(const char *filename, GByteArray *data);
GByteArray *gui_cache_get(const char *filename);

#endif /* __REDCARPET_CACHE_H */
