/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * gui-download.h: Download progress
 *
 * Copyright (C) 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_DOWNLOAD_H
#define _GUI_DOWNLOAD_H

typedef enum _GUIInstallProgress GUIInstallProgress;
typedef enum _GUIInstallType     GUIInstallType;

enum _GUIInstallProgress {
    PROGRESS_DOWNLOAD,
    PROGRESS_VERIFY,
    PROGRESS_CONFIG,
    PROGRESS_INSTALL,
    PROGRESS_WAIT_FOR_IT,
    PROGRESS_FINISHED
};

enum _GUIInstallType {
    GUI_INSTALL,
    GUI_REMOVE
};

void rc_gui_set_progress(GUIInstallProgress step, int total, int done, 
                         char *name);
void rc_gui_set_progress_inverted(gboolean inverted);
GUIInstallType rc_gui_get_install_type(void);
void rc_gui_prepare_install_page(GUIInstallType type);
void rc_gui_init_install_page(void);

#endif /* _GUI_DOWNLOAD_H */
