/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-html.h: HTML display routines
 *
 * Copyright 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_HTML_H
#define _GUI_HTML_H

#include <glib.h>

#include "libredcarpet.h"

#include "gui-channel.h"

void rc_gui_render_info_html(GUIChannel *channel);
void rc_gui_render_packagesets_html(GUIChannel *channel);
void rc_gui_render_updates_html(GUIChannel *channel);
void rc_gui_render_installed_html(GUIChannel *channel);
void rc_gui_render_available_html(GUIChannel *channel);
void rc_gui_render_package_info_html(RCPackage *package);
void rc_gui_render_dependencies(RCPackageSList *requested, 
                                RCPackageSList *removed,
                                RCPackageSList *added, GUIChannel *channel,
                                gboolean removal);
void rc_gui_render_dependency_failure(GUIChannel *current_channel,
                                      RCDepResolutionResult *rr);

void rc_gui_set_action_html(GUIChannel *channel, ActionType action, 
                            int additional);
void rc_gui_show_executive_summary(void);
void rc_gui_show_about(void);
void rc_gui_show_news_page(void);
void rc_gui_show_featured_page(void);
void rc_gui_show_channel_page (gboolean subscribed);

void rc_gui_html_sensitize_unsubscribe(gboolean on);
void rc_gui_html_sensitize_subscribe(gboolean on);

gboolean rc_gui_html_object_requested(GtkHTML *html, GtkHTMLEmbedded *eb);

#endif /* _GUI_HTML_H */
